#include <iostream>
#include <string>
#include <cstring>
#include <sstream> // Required for std::istringstream
#include <unistd.h>
#include <arpa/inet.h>
#include <map>
#include <memory>
#include "config.hpp"
#include "listVM.hpp"
#include "createVM.hpp"
#include "parceData.hpp"
#include "handleGET.hpp"
#include "handlePOST.hpp"
#include "parseRequest.hpp"
#include "webServer.hpp"

std::string listVM();
std::string createVM(const postVM& data);
std::string parseRequest(const std::string& request);
std::string handleGET(const std::string& path);
std::string handlePOST(const std::string& data);


int main() {
 
    webServer();
    return 0;
}
